Bug 48432

Summary: [PATCH]Initial draft of XSSFTheme
Product: POI Reporter: Petr.Udalau <Petr.Udalau>
Component: XSSFAssignee: POI Developers List <dev>
Status: RESOLVED REMIND    
Severity: normal    
Priority: P2    
Version: unspecified   
Target Milestone: ---   
Hardware: PC   
OS: Windows XP   
Attachments: Implementation.

Description Petr.Udalau 2009-12-23 00:02:30 UTC
Created attachment 24751 [details]
Implementation.

Implemented extracting color form theme by index.
Created class XSSFTheme that fits into the common POIXMLDocumentPart scheme.
Comment 1 longxibo 2010-05-18 03:28:21 UTC
(In reply to comment #0)
> Created an attachment (id=24751) [details]
> Implementation.
> Implemented extracting color form theme by index.
> Created class XSSFTheme that fits into the common POIXMLDocumentPart scheme.

Can't found org.openxmlformats.schemas.drawingml.x2006.main.ThemeDocument and 
CTColorScheme in poi-ooxml-schemas-3.6-20091214.jar
Comment 2 Nick Burch 2010-05-19 07:55:32 UTC
Applied to svn trunk, with very slight tweaks, thanks for this!

The only thing is I have a nasty feeling it might not work properly if there is more than one theme. I've no idea how common (if even possible) that is, but if you could work up a new patch that supports that, it'd be great!
Comment 3 longxibo 2010-05-20 02:02:27 UTC
(In reply to comment #2)
> Applied to svn trunk, with very slight tweaks, thanks for this!
> The only thing is I have a nasty feeling it might not work properly if there is
> more than one theme. I've no idea how common (if even possible) that is, but if
> you could work up a new patch that supports that, it'd be great!

Can you upload more than one theme sample xlsx file?